swagger: "2.0"
info:
  title: Kathra Deploy Manager API
  version: 1.2.0
  x-artifactName: deployManager
  x-groupId: org.kathra
basePath: /api/v1
paths:
  /deploy:
    post:
      summary: deploy
      operationId: deploy
      consumes:
        - multipart/form-data
      parameters:
        - name: file
          in: formData
          description: YML TO DEPLOY
          type: file
          required: true
        - name: namespace
          in: formData
          description: namespace
          required: true
          type: string
        - name: commitId
          in: formData
          description: commitId
          required: true
          type: string
        - name: branchName
          in: formData
          description: branchName
          type: string
        - name: cluster
          in: formData
          description: cluster
          required: true
          type: string
        - name: jobName
          in: formData
          description: jobName
          required: true
          type: string
      responses:
        200:
          description: successful operation
          schema:
            type: string
